Authorization: Bearer ********************curl --location 'https://connect.dispatchable.com/square_up/api/v1/square/payments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 12500,
"currency": "USD",
"card_uuid": "84fb5e09-8a87-47e1-b2a6-e80643d71acc",
"customer_uuid": "4929145f-b02a-46d6-a7db-24135f6d4784",
"idempotency_key": "load-12345-deposit-v1",
"reference_id": "load-12345",
"note": "Deposit for load 12345",
"autocomplete": true
}'{
"data": {
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"company_uuid": "aba69bec-94b3-48e8-9737-4f951465d0f8",
"square_payment_id": "string",
"idempotency_key": "string",
"amount": 12500,
"currency": "USD",
"status": "COMPLETED",
"reference_id": "string",
"note": "string",
"square_data": {
"property1": "string",
"property2": "string"
}
}
}